Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
/
pseudoTranslate
Pseudo-translates job
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/pseudoTranslate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyHashPrefixLen": 9,
  "length": 123,
  "prefix": "<string>",
  "replacement": "<string>",
  "substitution": [
    {
      "source": "<string>",
      "target": "<string>"
    }
  ],
  "suffix": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/pseudoTranslate"

payload = {
"keyHashPrefixLen": 9,
"length": 123,
"prefix": "<string>",
"replacement": "<string>",
"substitution": [
{
"source": "<string>",
"target": "<string>"
}
],
"suffix": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyHashPrefixLen: 9,
length: 123,
prefix: '<string>',
replacement: '<string>',
substitution: [{source: '<string>', target: '<string>'}],
suffix: '<string>'
})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid}/pseudoTranslate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Pseudo-translation settings

keyHashPrefixLen
integer<int32>
Required range: 0 <= x <= 18
length
number<double>
prefix
string
replacement
string
Required string length: 1 - 10
substitution
object[]
Required array length: 1 - 100 elements
suffix
string

Response

No Content